<?php
App::uses('AppComponent', 'Controller/Component');

class TaxableComponent extends AppComponent {

	/**
	 * run the form injection
	 * For custom fields this add type / validation arrays to the template for fields
	 *
	 * @param   array       Data from $this->request->data
	 * @param   object      Model Object for the primary model we are dealing with
	 * @param   int|null    The ID if on edit or null of add
	 */
	public function injectAdminForm($data, $Model, $id) {
		$TaxLevels = EvClassRegistry::init('EvTax.TaxLevel');

		$this->_controller->set(
			'taxLevels',
			$TaxLevels->getForDropDown(
				array(
					'order' => 'TaxLevel.name ASC'
				)
			)
		);
	}

}
